View Issue Details

IDProjectCategoryView StatusLast Update
0003305unrealircdpublic2015-08-08 08:47
ReportercraftsmanAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSfreeBSDOS Version6.2
Product Version3.2.6 
Target VersionFixed in Version3.4-beta2 
Summary0003305: set::oper-only-snomasks
Description[19:22] * craftsman sets mode: +s
-
Server notice mask (+ks)
-
[19:22] -adrenaline.redsonora.net- *** Notice -- Received KILL message for raplae!craftsman@888B74D6.FD48206C.B2CD04E3.IP from craftsman Path: staff.redsonora.net!craftsman (bum)
TagsNo tags attached.
3rd party modules

Activities

Bricker

2007-04-28 00:05

reporter   ~0013900

what?

stskeeps

2007-04-28 00:45

reporter   ~0013901

What he really means is that he wants kill notices to go to irc operators or something. I think. My impression is however that users may have an interest in seeing who kills who, as a counterweight to oper abuse?

Shining Phoenix

2007-04-28 01:23

reporter   ~0013902

Usermode s often gets restricted to opers only, so that "counterweighting" might not happen often.

craftsman

2007-04-28 03:48

reporter   ~0013903

only that the message is for the IRC Operators just. that it does not stop users normal that they use +s

vonitsanet

2007-04-29 18:46

reporter   ~0013938

My opinion is to keep 's' umode oper-only by default..

2007-04-30 00:37

 

umodes.c (2,543 bytes)

syzop

2007-04-30 10:15

administrator   ~0013950

some networks like this so users can keep an eye on opers' actions, some networks don't (latter is a majority I think). As said, you can put 's' in set::restrict-usermodes to disable this behavior at the moment (as suggested in the security part of unreal32docs). We should definitely keep the feature available, but..
IMO we should default to not allowing users (non-opers) to set snomasks, but still allow it to be turned on in the conf. We'd do this by introducing a separate yes/no setting (set::snomasks-for-users, set::allow-user-snomasks, set::oper-only-snomasks, I've no idea..).

Robby22

2007-05-05 21:58

reporter   ~0014007

I think calling it set::oper-only-snomasks is the best name then, comparing to the other existing oper-only setting, set::oper-only-stats, as it then corresponds with the naming scheme. :)

WolfSage

2007-05-19 19:33

reporter   ~0014185

If no one else plans on playing with this, I'll get to in some time this week.

craftsman

2007-06-20 22:53

reporter   ~0014395

then I will play.

syzop

2013-01-09 10:04

administrator   ~0017310

Implement set::oper-only-snomasks and make it default to "*" ?

syzop

2015-08-08 08:47

administrator   ~0018580

Fixed or soon will be.
All the snomask +s magic is done. The snomask +k is still umode_allow_all at this point but I made a new bug to modularize it and change default to oper

Issue History

Date Modified Username Field Change
2007-04-27 21:52 craftsman New Issue
2007-04-28 00:05 Bricker Note Added: 0013900
2007-04-28 00:45 stskeeps Note Added: 0013901
2007-04-28 00:46 stskeeps Status new => feedback
2007-04-28 01:23 Shining Phoenix Note Added: 0013902
2007-04-28 03:48 craftsman Note Added: 0013903
2007-04-29 18:46 vonitsanet Note Added: 0013938
2007-04-30 00:37 craftsman File Added: umodes.c
2007-04-30 10:15 syzop Note Added: 0013950
2007-04-30 10:17 syzop Status feedback => acknowledged
2007-05-05 21:58 Robby22 Note Added: 0014007
2007-05-07 04:44 stskeeps Summary message kill HIDE only IRC Operators.. => set::oper-only-snomasks
2007-05-19 19:33 WolfSage Status acknowledged => assigned
2007-05-19 19:33 WolfSage Assigned To => WolfSage
2007-05-19 19:33 WolfSage Note Added: 0014185
2007-06-20 22:53 craftsman Note Added: 0014395
2013-01-09 10:04 syzop Note Added: 0017310
2013-01-09 10:04 syzop Assigned To WolfSage =>
2013-01-09 10:04 syzop Severity minor => feature
2013-01-09 10:04 syzop Status assigned => acknowledged
2015-08-08 08:47 syzop Note Added: 0018580
2015-08-08 08:47 syzop Status acknowledged => resolved
2015-08-08 08:47 syzop Fixed in Version => 3.4-beta2
2015-08-08 08:47 syzop Resolution open => fixed
2015-08-08 08:47 syzop Assigned To => syzop